Package org.opensaml.saml.saml2.metadata.impl

# Class NameIDMappingServiceImpl

java.lang.Object
org.opensaml.core.xml.AbstractXMLObject
org.opensaml.saml.saml2.metadata.impl.EndpointImpl
org.opensaml.saml.saml2.metadata.impl.NameIDMappingServiceImpl

All Implemented Interfaces:
  `AttributeExtensibleXMLObject`, `ElementExtensibleXMLObject`, `XMLObject`, `SAMLObject`, `Endpoint`, `NameIDMappingService`

public class NameIDMappingServiceImpl extends EndpointImpl implements NameIDMappingService
Concrete implementation of `NameIDMappingService`.

## Field Summary

### Fields inherited from interface org.opensaml.saml.saml2.metadata.Endpoint

`BINDING_ATTRIB_NAME, DEFAULT_ELEMENT_LOCAL_NAME, DEFAULT_ELEMENT_NAME, LOCATION_ATTRIB_NAME, RESPONSE_LOCATION_ATTRIB_NAME, TYPE_LOCAL_NAME, TYPE_NAME`

### Fields inherited from interface org.opensaml.saml.saml2.metadata.NameIDMappingService

`DEFAULT_ELEMENT_LOCAL_NAME, DEFAULT_ELEMENT_NAME`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`NameIDMappingServiceImpl(String namespaceURI, String elementLocalName, String namespacePrefix)`
Constructor.

## Method Summary

### Methods inherited from class org.opensaml.saml.saml2.metadata.impl.EndpointImpl

`getBinding, getLocation, getOrderedChildren, getResponseLocation, getUnknownAttributes, getUnknownXMLObjects, getUnknownXMLObjects, setBinding, setLocation, setResponseLocation`

### Methods inherited from class org.opensaml.core.xml.AbstractXMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, manageQualifiedAttributeNamespace, prepareAttributeValueForAssignment, prepareElementContentForAssignment, prepareForAssignment, prepareForAssignment, prepareForAssignment, registerOwnID, releaseChildrenDOM, releaseDOM, releaseParentDOM, releaseThisAndChildrenDOM, releaseThisandParentDOM, resolveID, resolveIDFromRoot, setDOM, setElementNamespacePrefix, setElementQName, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation, setSchemaType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.opensaml.core.xml.AttributeExtensibleXMLObject

`getUnknownAttributes`

### Methods inherited from interface org.opensaml.core.xml.ElementExtensibleXMLObject

`getUnknownXMLObjects, getUnknownXMLObjects`

### Methods inherited from interface org.opensaml.saml.saml2.metadata.Endpoint

`getBinding, getLocation, getResponseLocation, setBinding, setLocation, setResponseLocation`

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getOrderedChildren, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Constructor Details

### NameIDMappingServiceImpl

protected NameIDMappingServiceImpl(@Nullable String namespaceURI, @Nonnull String elementLocalName, @Nullable String namespacePrefix)
Constructor.

Parameters:
  `namespaceURI` - the namespace the element is in
  `elementLocalName` - the local name of the XML element this Object represents
  `namespacePrefix` - the prefix for the given namespace